﻿@model IEnumerable<Category> 
@{
    ViewData["Title"] = "Index";
}
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Inverse table</h4>
                <div class="table-responsive pt-3">
                    <table class="table table-dark">
                        <thead>
                            <tr>
                                <th>
                                    Name
                                </th>
                                <th>
                                    IsMain
                                </th>
                                <th>
                                    Setting
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach (Category category in Model)
                            {
                            <tr>
                                <td>
                                    @category.Name
                                </td>
                                <td>
                                    @category.IsMain
                                </td>
                                <td>
                                    <a class="btn btn-primary" asp-action="Detail" asp-route-id="@category.Id">Detail</a>
                                    <a class="btn btn-warning" asp-action="Update" asp-route-id="@category.Id">Update</a>
                                    <a class="btn btn-danger" asp-action="Delete" asp-route-id="@category.Id">Delete</a>
                                </td>
                            </tr>
                            }

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

